[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 1356

`public constructor TCustomCheckBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. TheOwner is the owner for the new class instance. Create sets the default value for the Alignment property to taRightJustify. Create calls SetInitialBounds to set the initial control size to the values returned from the GetControlClassDefaultSize class method.